# Uses of Class
org.opensaml.core.xml.Namespace

Packages that use Namespace
Package
Description
org.opensaml.core.xml
Base classes for working with XML as Java objects and configuring the library.
org.opensaml.saml.metadata.generator.impl
Implementation of Velocity-based metadata generation.

## Uses of Namespace in org.opensaml.core.xml

Fields in org.opensaml.core.xml declared as Namespace
Modifier and Type
Field
Description
`private Namespace`
NamespaceManager.`contentValue`
Registered namespaces of content values.
`private Namespace`
NamespaceManager.`elementName`
XMLObject name namespace.
`private Namespace`
NamespaceManager.`elementType`
XMLObject type namespace.
`private static final Namespace`
NamespaceManager.`XML_NAMESPACE`
The 'xml' namespace.
`private static final Namespace`
NamespaceManager.`XSI_NAMESPACE`
The 'xsi' namespace.
Fields in org.opensaml.core.xml with type parameters of type Namespace
Modifier and Type
Field
Description
`private final Set<Namespace>`
NamespaceManager.`attrNames`
Registered namespaces of attribute names.
`private final Map<String,Namespace>`
NamespaceManager.`attrValues`
Registered namespaces of attribute values.
`private final Set<Namespace>`
NamespaceManager.`decls`
Explicitly declared namespaces.
Methods in org.opensaml.core.xml that return Namespace
Modifier and Type
Method
Description
`private Namespace`
NamespaceManager.`buildNamespace(QName name)`
Build a `Namespace` instance from a `QName`.
`private Namespace`
NamespaceManager.`getElementNameNamespace()`
Return a Namespace instance representing the namespace of the element name.
`private Namespace`
NamespaceManager.`getElementTypeNamespace()`
Return a Namespace instance representing the namespace of the element type, if known.
Methods in org.opensaml.core.xml that return types with arguments of type Namespace
Modifier and Type
Method
Description
`Set<Namespace>`
NamespaceManager.`getAllNamespacesInSubtreeScope()`
Get the set of all namespaces which are in scope within the subtree rooted at the owning XMLObject.
`Set<Namespace>`
NamespaceManager.`getNamespaceDeclarations()`
Get the set of namespace declarations registered on the owning XMLObject.
`Set<Namespace>`
AbstractXMLObject.`getNamespaces()`
Gets the namespaces that are scoped to this element.
`Set<Namespace>`
AbstractXSAnyAdapter.`getNamespaces()`
Gets the namespaces that are scoped to this element.
`Set<Namespace>`
NamespaceManager.`getNamespaces()`
Get the set of namespaces currently in use on the owning XMLObject.
`Set<Namespace>`
XMLObject.`getNamespaces()`
Gets the namespaces that are scoped to this element.
`private Set<Namespace>`
NamespaceManager.`getNonVisibleNamespaceCandidates()`
Get the set of non-visibly used namespaces used on the owning XMLObject (only the owner, not the owner's children).
`Set<Namespace>`
NamespaceManager.`getNonVisibleNamespaces()`
Obtain the set of namespaces used in a non-visible manner on owning XMLObject and its children.
`private Set<Namespace>`
NamespaceManager.`getVisibleNamespaces()`
Get the set of namespaces which are currently visibly-used on the owning XMLObject (only the owner, not its children).
`private Set<Namespace>`
NamespaceManager.`mergeNamespaceCollections(Collection<Namespace>... namespaces)`
Merge 2 or more Namespace collections into a single set.
Methods in org.opensaml.core.xml with parameters of type Namespace
Modifier and Type
Method
Description
`private void`
NamespaceManager.`addNamespace(Set<Namespace> namespaces, Namespace newNamespace)`
Add a Namespace to a set of Namespaces.
`void`
NamespaceManager.`deregisterNamespaceDeclaration(Namespace namespace)`
Deregister a namespace declaration.
`void`
NamespaceManager.`registerNamespaceDeclaration(Namespace namespace)`
Register a namespace declaration.
`private void`
NamespaceManager.`removeNamespace(Set<Namespace> namespaces, Namespace oldNamespace)`
Remove a Namespace from a set of Namespaces.
Method parameters in org.opensaml.core.xml with type arguments of type Namespace
Modifier and Type
Method
Description
`private void`
NamespaceManager.`addNamespace(Set<Namespace> namespaces, Namespace newNamespace)`
Add a Namespace to a set of Namespaces.
`private void`
NamespaceManager.`addPrefixes(Set<String> prefixes, Collection<Namespace> namespaces)`
Add the prefixes from a collection of namespaces to a set of prefixes.
`private void`
NamespaceManager.`removeNamespace(Set<Namespace> namespaces, Namespace oldNamespace)`
Remove a Namespace from a set of Namespaces.

## Uses of Namespace in org.opensaml.saml.metadata.generator.impl

Methods in org.opensaml.saml.metadata.generator.impl that return types with arguments of type Namespace
Modifier and Type
Method
Description
`default Set<Namespace>`
MetadataGeneratorParameters.`getAdditionalNamespaces()`
Get a set of additional namespaces to declare on root element.